#!/usr/bin/env python
# ======================================================================
# Copyright (C) 2001 and onwards Robert Muth <robert at muth dot org>
#
# This program is free software; you can redistribute it and/or
# modify it under the terms of the GNU General Public License
# as published by the Free Software Foundation; version 3
# of the License.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.
# ======================================================================

"""
Winzig's About Widget
"""

__all__ = ["CreateWidget"]

# python imports
import gtk
import sys

# local imports
import wconfig
import wutil
import wversion

# ======================================================================
kCopyright = "Copyright (C) 2001 and onwards Robert Muth"

kAbout = """
<b>%s</b>

Winzig comes with
ABSOLUTELY NO WARRANTY;
for details see  the file 00copying.
This is free software, and you are welcome
to redistribute it under certain conditions;
for details see  the file '00copying'

Email comments and suggestions to:
&lt;robert at muth dot org&gt;

<b>config path:</b> %s
<b>winzig version:</b> %s
<b>platform:</b> %s
<b>py version:</b> %s
<b>gtk version:</b> %s
<b>pygtk version:</b> %s
""" % (kCopyright,
       wconfig.datapath,
       wversion.version,
       sys.platform,
       sys.version.split()[0],
       str(gtk.gtk_version),
       str(gtk.pygtk_version))

# ======================================================================
def CreateWidget(dummy_config_id):

    window = wutil.MyScrolledWindow()
    window.show()

    label = wutil.MyLabelWithMarkup(kAbout)
    label.show()
    window.add_with_viewport(label)
    return window

# ======================================================================
if __name__ == '__main__':
    window = wutil.MyWindow(_('ABOUT'))
    window.add(CreateWidget('wabout'))
    window.show()
    wutil.CreateAndRunApp(window)
# ======================================================================
# eof
# ======================================================================




